#!/usr/bin/perl

open OUT,">dir.xml";
print OUT "<root>\n";

sub recurse($)
{
  foreach (<$_[0]/*>)
  {
    my $name=$_; $name=~s/^.*\///;
    my $ext=$name; $ext=~s/^.*\.//;
    if(-d $_)
    {
      print OUT "<dir name='$name'>\n";
      recurse($_);
      print OUT "</dir>\n";
    }
    print OUT "<file ext='$ext'>$name</file>\n" if(-f $_);
  }

}

recurse("../..");

print OUT "</root>\n";
close OUT;
