#!/usr/bin/perl -w

use GD;

my $outdir="../../htdocs/images/menu";
mkdir $outdir,0755;

open IN,"../../pages.xml";
while(<IN>)
{
  if(m{<.*?>(\w+)<})
  {
    my $name=$1;
    my $im = new GD::Image(200,30);
    $white = $im->colorAllocate(255,255,255);
    $black = $im->colorAllocate(0,0,0);
    #$red = $im->colorAllocate(255,0,0);
    #$blue = $im->colorAllocate(0,0,255);

    # make the background transparent and interlaced
    $im->transparent($white);
    $im->interlaced('true');

    $im->string(gdLargeFont,2,10,$name,$black);

#    $im->stringTTF($black,"verdana.ttf",10,0,2,10,$name);
#    print "$@";


    print "Generating $outdir/$name.png ...\n";
    open OUT,">$outdir/$name.png";
    print OUT $im->png; 
    close OUT;


    $name="_$name";
    
    $im = new GD::Image(200,30);
    $white = $im->colorAllocate(255,255,255);
    $black = $im->colorAllocate(0,0,0);
    $red = $im->colorAllocate(255,0,0);
    #$blue = $im->colorAllocate(0,0,255);

    # make the background transparent and interlaced
    $im->transparent($white);
    $im->interlaced('true');

    $im->string(gdLargeFont,2,10,$name,$red);

#    $im->stringTTF($black,"verdana.ttf",10,0,2,10,$name);
#    print "$@";


    print "Generating $outdir/$name.png ...\n";
    open OUT,">$outdir/$name.png";
    print OUT $im->png; 
    close OUT;



  }

}
close IN;

