/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename slots use Qt Designer which will
** update this file, preserving your code. Create an init() slot in place of
** a constructor, and a destroy() slot in place of a destructor.
*****************************************************************************/

#include "IBFace.h"
#include <qtimer.h>
#include <stdlib.h>

int send(const char *text);
void receive(QString &text);

void IBFaceDlg::EnrollButton_clicked()
{
  StatusLabel->setText("");
  send("E");
  send(username->text());
  send("\n");
  QString text="";
  while(! text.contains("\n")) receive(text);
  text="";
  while(! text.contains("\n")) receive(text);
  UpdateUsers();
}
void IBFaceDlg::AutoButton_clicked()
{
  StatusLabel->setText("");
  send("A");
  send(username->text());
  send("\n");
  QString text="";
  while(! text.contains("\n")) receive(text);
  text="";
  while(! text.contains("\n")) receive(text);
  UpdateUsers();
}
void IBFaceDlg::IdentifyButton_clicked()
{
  StatusLabel->setText("");
  send("I");
  send(identselect->text());
  send("\n");
}
void IBFaceDlg::IdentAll_clicked()
{
  StatusLabel->setText("");
  send("I*\n");
}
void IBFaceDlg::VerifyButton_clicked()
{
  StatusLabel->setText("");
  send("V");
  send(userlist->currentText());
  send("\n");
}
void IBFaceDlg::Special_clicked()
{
  StatusLabel->setText("");
  send(spezialcommand->text());
  send("\n");
}

void IBFaceDlg::init()
{
  StatusLabel->setText("");
  UpdateUsers();
  Timer= new QTimer(this);
  connect( Timer, SIGNAL(timeout()), SLOT(onmyTimer()) );
  Timer->start( 100, FALSE ); 
}

void IBFaceDlg::onmyTimer()
{
  QString text=StatusLabel->text();
  receive(text);
  StatusLabel->setText(text);
}

void IBFaceDlg::Kamera_clicked()
{
  send("J\n");
  QString text="";
  while(! text.contains("\n")) receive(text);
  QPixmap bild("camera.jpg","JPEG",0);
  //bild.resize(320,240);
  Kamera->setPixmap(bild);
  //  system("xv camera.jpg");
}


void IBFaceDlg::UpdateUsers()
{
  send("U\n");
  QString text="";
  while(! text.contains("\n\n",true))
  {
    receive(text);
  }
  userlist->clear();
  userlist->insertStringList( QStringList::split("\n",text,false));
}
